# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define fedora 19
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:           batti
Version:        0.3.8
Release:        alt2_5
Summary:        Simple battery monitor for the system tray

Group:          File tools
License:        GPLv2+
URL:            http://batti-gtk.googlecode.com/
Source0:        http://batti-gtk.googlecode.com/files/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
Requires:       pygtk2
Requires:       notify-python
%if 0%{?fedora} >= 13
Requires:       upower
%else
Requires:       DeviceKit-power
%endif
Source44: import.info


%description
Batti is a simple battery monitor for the system tray, similar to batterymon. 
Unlike the latter batti uses UPower, and if that is missing DeviceKit.Power, 
for it's power information.

Features
* one tray icon per inserted battery
* tray icons (dis-)appear with the battery (un-)plugging
* notification on low and critical battery status
* use of GTK icon-theme
* suspend/hibernate menu on left-click, if allowed by PolicyKit


%prep
%setup -q


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{python_sitelibdir_noarch}/%{name}*.egg-info
%{python_sitelibdir_noarch}/%{name}/
%{_datadir}/applications/batti.desktop
%{_datadir}/icons/hicolor/*/*/%{name}*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.8-alt2_5
- update to new release by fcimport

* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 0.3.8-alt2_4
- rebuild to get rid of unmets

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.8-alt1_4
- update to new release by fcimport

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.8-alt1_3
- converted for Sisyphus

